"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const graphql_import_1 = require("graphql-import");
const __1 = require("..");
jest.mock('graphql-import');
describe('server', () => {
    beforeEach(() => {
        jest.restoreAllMocks();
    });
    test('should return server with correct schema', () => {
        graphql_import_1.importSchema.mockReturnValueOnce(sampleGraphqlSchema);
        const response = __1.server("filepath");
        expect(response).toBeDefined();
    });
    test('should error with invalid schema', () => {
        graphql_import_1.importSchema.mockReturnValueOnce('invalid graphql schema');
        expect(() => { __1.server("filepath"); }).toThrowError();
    });
    test('should error with invalid filepath', () => {
        expect(() => { __1.server("invalidFilePath"); }).toThrowError();
    });
});
const sampleGraphqlSchema = `
type Book {
  title: String
}
type Query {
  books: [Book]
}
`;
//# sourceMappingURL=index.test.js.map